# overrideHeldItems | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function overrideHeldItems

- overrideHeldItems(pokemon: default , isPlayer?: boolean): void

  Uses either `HELD_ITEMS_OVERRIDE` in overrides.ts to set `PokemonHeldItemModifier`s for either:

  - The first member of the player's team when starting a new game
  - An enemy `Pokemon` being spawned in

  #### Parameters

  - pokemon: default

    `Pokemon` whose held items are being overridden

  - isPlayer: boolean = true

    boolean for whether the `pokemon` is the player's (`true`) or an enemy (`false`)

  #### Returns void

  - Defined in src/modifier/modifier.ts:3823